org.apache.calcite.avatica.proto

## Interface Requests.SyncResultsRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.SyncResultsRequest, Requests.SyncResultsRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.SyncResultsRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`long` `getOffset()` `optional uint64 offset = 4;`
`Common.QueryState` `getState()` `optional .QueryState state = 3;`
`int` `getStatementId()` `optional uint32 statement_id = 2;`
`Common.QueryStateOrBuilder` `getStateOrBuilder()` `optional .QueryState state = 3;`
`boolean` `hasState()` `optional .QueryState state = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

#### getStatementId

    int getStatementId()

`optional uint32 statement_id = 2;`

#### hasState

    boolean hasState()

`optional .QueryState state = 3;`

#### getState

    Common.QueryState getState()

`optional .QueryState state = 3;`

#### getStateOrBuilder

    Common.QueryStateOrBuilder getStateOrBuilder()

`optional .QueryState state = 3;`

#### getOffset

    long getOffset()

`optional uint64 offset = 4;`